#
# spec file for package sblim-sfcc
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sblim-sfcc
Version:        2.2.7
Release:        6.3
Url:            http://sblim.wiki.sourceforge.net/
Summary:        Small Footprint CIM Client Library
License:        EPL-1.0
Group:          System/Management
Source:         %{name}-%{version}.tar.bz2
Source1:        autoconfiscate.sh

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  libtool
%if 0%{?suse_version}
%if 0%{?suse_version} < 1020
BuildRequires:  curl-devel
%else
BuildRequires:  libcurl-devel
%endif
%else
BuildRequires:  curl-devel
%endif

%description
Small Footprint CIM Client Library (sfcc) Runtime Libraries


%package devel
Summary:        Small Footprint CIM Client Library
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       glibc-devel

%description devel
Small Footprint CIM Client Library (sfcc) Header Files and Link
Libraries

%prep
%setup -q

%build
# autoconfiscate
sh %{S:1}
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure --disable-static --with-pic

# RHEL5 ships with old libtool (see http://www.yolinux.com/TUTORIALS/C++XmlBeansxx.html)
%if 0%{?rhel_version} >= 500 || 0%{?centos_version} >= 500
%if 0%{?rhel_version} < 600 || 0%{?centos_version} < 600
rm -f libtool; ln -s /usr/bin/libtool .
%endif
%endif

make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install docdir=%{_docdir}/%{name}
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/*
%doc %{_mandir}/man3/*
%{_libdir}/*.so.*
# dlopen'ed lib
%{_libdir}/libcimcClientXML.so

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/libcimcclient.so
%{_libdir}/libcmpisfcc.so

%changelog
* Fri Mar 28 2014 kkaempf@suse.com
- Update to 2.2.7
  New Features:
  - [bugs:#2692] SFCC: SfcbLocal interface should expose markHeap()
    and releaseHeap()
  Bugs:
  - [bugs:#2728] Missing tag definition for REFARRAY
  - [bugs:#2729] Improper type handling for EmbeddedObject in PARAMVALUE
  - [bugs:#2730] More memory leaks in backend/cimxml/grammer.c
* Tue Oct 15 2013 pwieczorkiewicz@suse.com
- update to 2.2.6
  New Features:
  - 3529678 getClass does not expose method information
  Bugs fixed:
  - Now compiles under OS X (upstream #2646)
  - Remove Large Volume Support from SFCC (upstream #2648)
  - SFCC should dlopen the versioned .so (upstream #2658)
  - sfcc cannot reconnect with sfcb if sfcb restarts (upstream tix#79)
  - updated tests to match [bugs:#2663, tix#79]
* Fri Dec 21 2012 kkaempf@suse.com
- update to 2.2.5
  - 3586680: improve error reporting in cmciConnect2
  - 3566968: sfcc enumInstances fails to parse the xml
  - 3555103: wrong declaration of release attribute in _CIMCArgsFT
  - 3547832: memory leak in backend/cimxml/grammer.c
- drop patches, all included in 2.2.5
* Tue Nov 13 2012 kkaempf@suse.com
- remove test debug patch
  (0006-Show-class-and-property-qualifiers.patch)
- add upstream patches
  0001-3547832-memory-leak-in-backend-cimxml-grammer.c.patch
  0002-3555103-wrong-declaration-of-release-attribute-in-_C.patch
  0003-3566968-sfcc-enumInstances-fails-to-parse-the-xml.patch
* Tue Nov 13 2012 kkaempf@suse.com
- report failure to load libcimcClientXML.so properly
  (0001-Improve-error-reporting-within-cmciConnect2.patch)
* Tue Nov 13 2012 kkaempf@suse.com
- fix packaging: move libcimcClientXML.so from -devel to main
  package, it's dlopen'ed at runtime !
* Wed Jun 13 2012 kkaempf@suse.com
- Update to 2.2.4
  Bugfix release, fixing:
  - 3344403: Beam, unitialized vars
  - 3344757: Beam, deref of potential Null pointers.
  - 3344917: Beam, file leak
  - 3528819: Crash in getInstance when instance has NULL properties
  - 3530609: Various BEAM Errors
  - 3435363: Wrong call of curl_global_cleanup()
* Mon Mar  5 2012 kkaempf@suse.com
- Fix RHEL6 build
* Mon Mar  5 2012 kkaempf@suse.com
- fix build, force autotools, add Group field to subpackages
* Wed Dec 14 2011 coolo@suse.com
- fix license to be in spdx.org format
* Sun Nov 27 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Wed Nov  9 2011 kkaempf@suse.com
- don't call curl_global_cleanup (upstream id 3435363)
* Sun Jul 17 2011 kkaempf@novell.com
- fix build for RHEL5 (outdated libtool)
* Mon Jul  4 2011 kkaempf@novell.com
- Update to 2.2.3
  Bugfix release, fixing:
  - 2967265: Code cleanup in frontend/sfcc/sfcclient.c
  - 3286489: getInstance does not return key/value through XML
* Thu Mar 31 2011 kkaempf@novell.com
- Update to 2.2.2
  Bugfix release, fixing:
  - 2982349: Memory leak in backend/cimxml/client.c
  - 2982352: Double free in backend/cimxml/property.c
  - 3043288: XML generated with VALUE.ARRAY for ref arrays
  - 3043282: XML gen for embedded instances for invokeMethod is incorrect
  - 3059060: 'struct _CIMCArgsFT' not defined in cimc/cimcft.h
  - 2348900: Concurrency issue when parsing responses
  - 2793377: Missing includes
  - 3101151: SfcbLocal failed to connect due to hardcoded library path
  - 3195267: sfcc v2 tests segfault when sfcb is not running
  - 2990315: cmciRelease not called in case of error
  - 3196128: enumInstances does not set NameSpace in ObjectPath in XML mode
  - 1956407: CIM-XML/HTTP connection to unix socket
  - 2967257: Use of CMPI_chars in SFCC. General CMPI specification bug
  - 2847964: sfcc's getClass() fails to report class qualifiers
* Wed Apr 21 2010 kkaempf@novell.com
- Release CIMCEnv on client connection error
  (bnc591060, upstream #2990315)
* Wed Mar 10 2010 kkaempf@novell.com
- prefer CMPI_chars over CMPI_classNameString.
  (bnc#578189, upstream #2967257)
* Tue Jan  5 2010 kkaempf@novell.com
- return class qualifiers in getClass() operation
  (bnc535724, upstream #2847964)
* Fri Nov 27 2009 kkaempf@novell.com
- add autoconfiscate.sh for Mandriva build
- fix BuildRequires for RHEL
* Mon Nov  2 2009 bwhiteley@suse.de
- Upgrade to 2.2.1, required by sfcb version upgrade (fate#307413)
  Changes (upstream bug numbers):
  - 2691478: sfcc 2.1.0 cannot handle OutParams on Extrinsic Method Call
  - 2847782: sfcc getClass crashes if cimom isn't running
  - 2849853: getClass reports most property types as CMPI_Instance
* Thu Mar  5 2009 mhrusecky@suse.cz
- update to 2.2.0
  * Bugs:
  - 2596921: v2test_ei test fails when using CIMXML interface
  - 2431835: XML client library not found.
  - 2270179: Missing includes and values in return statements
  - 2158091: sfcb modules belong in private dir
  - 2102345: missing configuration of CIM-HOST-PORT in sblim-sfcc
  - 2102339: Missing ret values in sblim-sfcc
  * Dropped merged patches
* Wed Nov 12 2008 prusnak@suse.cz
- added 5 more fixes to retval.patch
- merged implicit-fortify-decl.patch and stdlib.patch into includes.patch
* Thu Oct  9 2008 crrodriguez@suse.de
- fix build, implicit-fortify-decl backend/cimxml/indicationlistener.c:85
- disable static libraries
- correct -devel package requires
* Tue Sep  9 2008 prusnak@suse.cz
- updated to 2.1.0
  * New features:
  - 1820015 sfcc: prepare for indication support
  - 1854813 sfcc: new parser
  - 1867649 sfcc: embedded instance support (receiving side)
  - 1828588 sfcc: Indication support (CIMXML)
  - 1828584 sfcc: large volume data support (CIMXML)
  * Bugs:
  - 1887125 sfcc: cleanup due to new parser
  - 1940546: Memory corruption in AsciiToXmlStr()
- fixed undefined variable (cimhostport.patch)
* Mon May 19 2008 ro@suse.de
- add some missing return values for non-void functions
* Wed Mar 19 2008 prusnak@suse.cz
- updated to 2.0.3
  * fixed sfcc generates incorrect XML for complex properties
  * sfcc reports incorrect namespace for associators operation
* Wed Nov 21 2007 prusnak@suse.cz
- updated to 2.0.2
  * fixed handling of complex array IN arguments
  * fixed issue with the SFCC xml parsing code
  * invokeMethod test now works correctly
* Tue Jul 17 2007 prusnak@suse.cz
- fixed missing include <stdlib.h> for sources in TEST directory
  (stdlib.patch)
* Tue Jul 17 2007 prusnak@suse.cz
- fixed documentation files handling
* Fri Jul 13 2007 prusnak@suse.cz
- created package (version 2.0.1)
- based on BuildService package sblim-sfcc in home:mihajlov
